@charset 'utf-8';
/* ==========================================================================
Author        :  Arif Lutfhansah
Create        :  20 April 2018
Last Update   :  2 April 2020

Contents  :
  1: Body Section

  Copyright (c) 2020 Arif Lutfhansah
  
========================================================================== */

:root {
  --lh: 1.4rem; // Must include in elipsis
}

/*
  Transition
-------------------------------------*/
@mixin transition($time) {
  -webkit-transition: all $time ease-in-out;
     -moz-transition: all $time ease-in-out;
      -ms-transition: all $time ease-in-out;
       -o-transition: all $time ease-in-out;
          transition: all $time ease-in-out;
}
/*
  Animation Delay
-------------------------------------*/
@mixin animation-delay($time) {
  -webkit-animation-delay: $time;
     -moz-animation-delay: $time;
      -ms-animation-delay: $time;
       -o-animation-delay: $time;
          animation-delay: $time;
}

/*
  Body
-------------------------------------*/
body {
  background-color: #F2F5FE;
}

main {
  position: relative;
  z-index: 98;
  padding: 25px 0 30px;
  background-color: #F2F5FE;
  border-top-left-radius: 30px;
  border-bottom-left-radius: 30px;
  /* --- Head --- */
  .head {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding: 0 20px;
    margin-bottom: 25px;
    .title {
      color: #252525;
      font-size: 24px;
      font-weight: 900;
      &:after {
        content: "";
        display: block;
        width: 50%;
        padding-top: 8px;
        border-bottom: 3px solid #252525;
      }
    }
    .view-all {
      padding: 3px 0;
      a {
        color: #252525;
        font-size: 14px;
        font-weight: 900;
      }
    }
  }
}

/* --- Headline --- */
#headline {
  margin: 0 0 60px;
  .slider {
    height: 360px;
    img {
      width: 100%;
      height: 360px;
      object-fit: cover;
      /* border-radius: 30px; */
    }
    .caption {
      position: absolute;
      bottom: 0;
      width: 100%;
      padding: 15px 20px 20px;
      background: rgba(0, 0, 0, .5);
      /* border-bottom-left-radius: 30px;
      border-bottom-right-radius: 30px; */
      .title {
        position: relative;
        display: inline-block;
        margin-bottom: 8px;
        line-height: 130%;
        font-family: 'Jost', sans-serif;
        font-size: 22px;
        font-weight: 800;
        background: linear-gradient(to right, #499AE8, #499AE8 50%, #FFFFFF 50%);
        background-clip: text;
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
        background-size: 200% 100%;
        background-position: 100%;
        transition: background-position 275ms ease;
        &:hover {
          background-position: 0 100%;
        }
      }
      .subtitle {
        font-size: 16px;
        color: #FBF7F7;
      }
    }
    .indicators {
      bottom: -25px;
      padding: 0;
    }
    .swiper-button-prev {
      right: 40px;
      left: inherit;
    }
    .swiper-button-next, .swiper-button-prev {
      top: 95%;
      &:focus {
        outline: none;
      }
    }
    .swiper-button-next:after, .swiper-button-prev:after {
      font-size: 16px;
    }
  }
}
/* --- Trending Topic --- */
#trending-topic {
  padding: 0 20px;
  margin-bottom: 30px;
  .head {
    padding: 0;
  }
  ul {
    text-align: center;
  }
  li {
    display: inline-block;
    width: calc(50% - 10px);
    &:last-child {
      a {
        color: #FAFEFC;
        background-color: #499AE8;
      }
    }
  }
  a {
    padding: 8px 20px;
    margin-bottom: 10px;
    font-size: 14px;
    font-weight: 900;
    text-align: center;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    color: #252525;
    background-color: #FFFFFF;
    border-radius: 30px;
    border: 1px solid #EEEEEE;
    &:hover {
      color: #FAFEFC;
      background-color: #499AE8;
    }
  }
  i {
    position: relative;
    top: 1px;
    margin-left: 5px;
  }
}
/* --- List News --- */
.list-news {
  padding: 0 20px;
  li {
    position: relative;
    background-color: #FFFFFF;
    border-radius: 10px;
    margin-bottom: 25px;
    box-shadow: 0 1px 5px 0 #D4D4D4;
    .image {
      img {
        object-fit: cover;
        width: 100%;
        height: 180px;
        border-top-left-radius: 10px;
        border-top-right-radius: 10px;
      }
    }
    .block-caption {
      padding: 15px 20px 20px;
      background-color: #FFFFFF;
      border-bottom-left-radius: 10px;
      border-bottom-right-radius: 10px;
      .title {
        margin-bottom: 7px;
        a {
          position: relative;
          overflow: hidden;
          color: #252525;
          font-size: 18px;
          font-weight: 900;
          -webkit-transition: all .3s ease-in-out;
          -moz-transition: all .3s ease-in-out;
          -ms-transition: all .3s ease-in-out;
          -o-transition: all .3s ease-in-out;
          transition: all .3s ease-in-out;
          &:hover {
            color: #499AE8;
          }
        }
      }
      .category {
        display: inline-block;
        &.gen-news {
          a {
            color: #CEDD36;
          }
        }
        a {
          display: inline-block;
          padding-right: 8px;
          margin-right: 3px;
          line-height: 12px;
          vertical-align: middle;
          border-right: 1px solid #EEEEEE;
        }
      }
      .time {
        display: inline-block;
        font-size: 14px;
        color: #D4D4D4;
      }
    }
  }
}
/* --- Button --- */
.btn-center {
  display: block;
  width: 60%;
  margin: 40px auto;
  padding: 12px 0;
  color: #FAFEFC;
  font-size: 16px;
  font-weight: 900;
  text-align: center;
  border: 1px solid #499AE8;
  border-radius: 30px;
  background-color: #499AE8;
  &:hover {
    color: #499AE8;
    background-color: #FAFEFC;
  }
}

/* --- Detail --- */
#detail {
  /* --- Breadcrumb --- */
  .breadcrumb {
    padding: 0 20px;
    margin-bottom: 20px;
    li {
      display: inline-block;
      padding-right: 5px;
      &:last-child {
        a {
          color: #499AE8;
        }
      }
      a {
        color: #252525;
        font-size: 14px;
      }
      i {
        font-size: 12px;
      }
    }
  }
  .title-news {
    margin-bottom: 15px;
    color: #252525;
    font-size: 26px;
    font-weight: 700;
  }
  .author-news {
    a {
      margin-bottom: 6px;
      color: #499AE8;
      font-size: 16px;
    }
  }
  .time-news {
    display: block;
    margin-bottom: 30px;
    color: #252525;
    font-size: 14px;
  }
  .paragraph {
    display: block;
    margin-bottom: 20px;
    color: #252525;
    font-size: 18px;
    line-height: 26px;
  }
  .primary-image-news {
    img {
      width: 100%;
    }
  }
  .image-caption {
    color: #252525;
    font-size: 12px;
    text-align: center;
    margin: 8px 0 20px 0;
  }
  /* --- Social Media Share --- */
  #social-media-share {
    width: 260px;
    text-align: center;
    padding-bottom: 20px;
    margin: 40px auto 10px;
    border-bottom: 1px solid #EEEEEE;
    .head {
      text-align: center;
      font-family: 'Jost', sans-serif;
      font-size: 18px;
      font-weight: 700;
      margin-bottom: 15px;
    }
    li {
      display: inline-block;
      img {
        width: 56px;
      }
    }
  }
  /* --- Emoticon --- */
  .emoticon {
    margin-bottom: 30px;
    text-align: center;
    li {
      display: inline-block;
      padding: 8px;
      cursor: pointer;
      span {
        display: block;
        background-color: #FAFEFC;
        border-radius: 50px;
      }
      svg {
        width: 40px !important;
        margin-bottom: 6px;
      }
    }
  }
  .linked-news {
    margin-bottom: 40px;
  }
  .other-news {
    margin-bottom: 40px;
  }
  .r-square {
    margin: 20px 0;
    img {
      width: 100%;
    }
  }
}

#detail .title-news,
#detail .author-news,
#detail .paragraph,
#detail .time-news,
#detail .image-caption,
#detail .author-foot,
#detail .other-news,
#detail #trending-topic,
#detail .announcement,
#detail .r-square {
  padding: 0 20px;
}